Panduan pembalasan.id
Conversations

Create New Conversation

POST
/api/v1/accounts/{account_id}/conversations

Creating a conversation in chatwoot requires a source id.

Learn more about source_id: https://www.chatwoot.com/hc/user-guide/articles/1677839703-how-to-create-an-api-channel-inbox#send-messages-to-the-api-channel

Authorization

api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/accounts/0/conversations" \  -H "Content-Type: application/json" \  -d '{    "source_id": "1234567890"  }'
{
  "id": 0,
  "account_id": 0,
  "inbox_id": 0
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}